#include <limits>
#include "HyperRectBounds.hh"

HyperRectBounds::HyperRectBounds()
    : minx(std::numeric_limits<int>::max()), miny(std::numeric_limits<int>::max()), maxx(std::numeric_limits<int>::min()), maxy(std::numeric_limits<int>::min())
{
}

HyperRectBounds::HyperRectBounds(int minx, int miny, int maxx, int maxy)
    : minx(minx), miny(miny), maxx(maxx), maxy(maxy)
{
}
