function test_layout 


% array representing 7 items in row 1, 6 items in row 2, 
% and 5 items in row 3
Qx = [ 1 1 1 1 1 1 1 2 2 2 2 2 2 2 3 3 3 3 3 ]

% array representing 3 items in column 1, 2 items in column 2,
% and 5 items in column 3
Qy = [ 1 1 1 2 2 3 3 3 3 3 ]


% density matrix representing the relative density of each
% of the blocks (size of a block)/(number of items in the block)
Dnz = [ .1 .3 .1; 
        .9 .2 .7; 
        .1 .2 .1 ]

% make the graph        
show_layout_shaded( Qx, Qy, Dnz)


